{ config, pkgs, inputs, ... }:

{
  virtualisation.oci-containers.backend = "docker";
  virtualisation.oci-containers.containers = {
    wallabag = {
      autoStart = true;
      image = "wallabag/wallabag";
      environment = {
        SYMFONY__ENV__DOMAIN_NAME = "https://wb.tsvallender.co.uk";
      };
      volumes = [
        "wallabag_data:/var/www/wallabag/data"
      ];
      ports = [
        "8485:80"
      ];
    };
  };
}

